Error: Could not find gradle wrapper within Android SDK. Might need to update your Android SDK


#1
I have a problem occurred when compiling the application!

Version cordove: 6.3.1
Here are my console log:

Running command: /home/admin/ProgrammaJS/NEW/hooks/after_prepare/010_add_platform_class.js /home/admin/ProgrammaJS/NEW
add to body class: platform-android
ANDROID_HOME=/home/admin/android-studio/
JAVA_HOME=/home/admin/jdk
Error: Could not find gradle wrapper within Android SDK. Might need to update your Android SDK.
Looked here: /home/admin/android-studio/tools/templates/gradle/wrapper

I have a folder in a similar way to: /home/admin/android-studio/plugins/android/lib/templates/gradle/wrapper
I used the command: cordova build --release android
My version sdk latest: android-studio-ide-145.3276617-linux
Or I’m wrong, and you give me a link to the latest version?


#2

Help! For 12 days, I can not compile the application


#3

Hi,
Read this documentation and
Make sure that you have installed the right API version of SDK.
for example I just have 15, 23 and 24 APIs for some spatial doings and it works correctly for me.

And check this one.


#4

I still carefully examined but there was another problem. In paragraph: Opening a Project in Android Studio

I do not have so much traffic to download 800 megabytes of data. What to do in this case?